# TQextScintillaLexerJava Class Reference

The TQextScintillaLexerJava class encapsulates the Scintilla Java lexer. More...

`#include <tqextscintillalexerjava.h>`

Inherits TQextScintillaLexerCPP.

List of all members.

## Public Member Functions

- TQextScintillaLexerJava (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerJava ()
- const char * language () const
- const char * keywords (int set) const

## Detailed Description

The TQextScintillaLexerJava class encapsulates the Scintilla Java lexer.

## Constructor & Destructor Documentation

TQextScintillaLexerJava::TQextScintillaLexerJava | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerJava with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerJava::~TQextScintillaLexerJava | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerJava instance.

## Member Function Documentation

const char* TQextScintillaLexerJava::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from TQextScintillaLexerCPP.

const char* TQextScintillaLexerJava::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexerCPP.